Summary:	The IPv6 Router Advertisement Daemon
Name:		radvd
Version:	2.19
Release:	%mkrel 1
License:	BSD
Group:		System/Servers
URL:		http://v6web.litech.org/radvd/
Source0:	http://v6web.litech.org/radvd/dist/%{name}-%{version}.tar.gz
Source2:	radvd.conf
Source3:	radvd.sysconfig
Source4:	radvd.service
Requires(post):	systemd >= %{systemd_required_version}
Requires(post):	rpm-helper
Requires(preun): rpm-helper
BuildRequires:	flex 
BuildRequires:	bison
BuildRequires:	pkgconfig(libdaemon)

%description
IPv6 has a lot more support for auto configuration than IPv4. But
for this auto configuration to work on the hosts of a network, the
routers of the local network have to run a program which answers
the auto configuration requests of the hosts.

On Linux this program is called radvd, which stands for Router
ADVertisement Daemon. This daemon listens to router solicitations (RS)
and answers with router advertisement (RA). Furthermore unsolicited
RAs are also send from time to time.

These RAs contain information, which is used by hosts to configure
their interfaces. This information includes address prefixes, the MTU of
the link and information about default routers.


%prep
%setup -q
%autopatch -p1

%build
%serverbuild
%configure --with-pidfile=%{_rundir}/%{name}/%{name}.pid
%make_build

%install
%make_install

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_initrddir}

install -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/radvd.conf
install -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/radvd
install -D -m0644 %{SOURCE4} %{buildroot}%{_unitdir}/radvd.service

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF >%{buildroot}%{_tmpfilesdir}/radvd.conf
d %{_rundir}/radvd 0755 radvd radvd -
EOF

%pre
%_pre_useradd radvd / %{_sbindir}/nologin

%post
%_tmpfilescreate %{name}
%_post_service radvd

%preun
%_preun_service radvd

%files
%doc CHANGES COPYRIGHT README TODO INTRO.html radvd.conf.example
%config(noreplace) %{_sysconfdir}/radvd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/radvd
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/radvd.conf
%{_sbindir}/*
%{_mandir}/*/*


%changelog
* Fri Nov 06 2020 solbu <solbu> 2.19-1.mga8
+ Revision: 1643031
- New version: 2.19

* Sat Feb 15 2020 umeabot <umeabot> 2.18-2.mga8
+ Revision: 1524092
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Mar 26 2019 daviddavid <daviddavid> 2.18-1.mga7
+ Revision: 1380253
- new version: 2.18
- remove merged upstream patch

* Sat Feb 02 2019 luigiwalser <luigiwalser> 2.17-3.mga7
+ Revision: 1362588
- add patch from fedora to fix security issue (mga#24288, rhbz#1669298)

* Sun Sep 23 2018 umeabot <umeabot> 2.17-2.mga7
+ Revision: 1300771
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 solbu <solbu> 2.17-1.mga7
+ Revision: 1167982
- New version: 2.17

* Fri Feb 12 2016 umeabot <umeabot> 2.11-2.mga6
+ Revision: 958712
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 solbu <solbu> 2.11-1.mga6
+ Revision: 847543
- New version

* Sun Oct 19 2014 cjw <cjw> 1.9.8-4.mga5
+ Revision: 790586
- drop executable flags from systemd configuration file

* Wed Oct 15 2014 umeabot <umeabot> 1.9.8-3.mga5
+ Revision: 749599
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.8-2.mga5
+ Revision: 688605
- Mageia 5 Mass Rebuild

* Sun Feb 16 2014 dams <dams> 1.9.8-1.mga5
+ Revision: 592531
- rebuild for new grilo to try to fix mga#12748 (requiring -devel)

* Mon Oct 21 2013 umeabot <umeabot> 1.9.5-2.mga4
+ Revision: 539300
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 solbu <solbu> 1.9.5-1.mga4
+ Revision: 491914
- New version

* Thu May 30 2013 solbu <solbu> 1.9.3-1.mga4
+ Revision: 433476
- New version

* Sun Mar 24 2013 colin <colin> 1.9.2-7.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Mon Jan 14 2013 cjw <cjw> 1.9.2-6.mga3
+ Revision: 388128
- fix tmpfiles config: the tmp dir is /run/radvd not /run itself

* Sun Jan 13 2013 umeabot <umeabot> 1.9.2-5.mga3
+ Revision: 380178
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ solbu <solbu>
- Spec cleanup

* Sun Jan 13 2013 solbu <solbu> 1.9.2-4.mga3
+ Revision: 362748
- Add missing %%_tmpfilescreate macro

* Sun Jan 13 2013 solbu <solbu> 1.9.2-3.mga3
+ Revision: 362110
- Don't create /run/radvd
- UsrMove fix (/var/run to /run)

* Sun Dec 02 2012 solbu <solbu> 1.9.2-2.mga3
+ Revision: 325486
- New version
- Systemd integration

* Fri Aug 17 2012 cjw <cjw> 1.9.1-2.mga3
+ Revision: 281710
- ask systemd to recreate /var/run/radvd when needed

* Sun Aug 05 2012 solbu <solbu> 1.9.1-1.mga3
+ Revision: 278600
- New version
- Spec cleanup
- Fix BuildRequires

* Mon Mar 05 2012 misc <misc> 1.8.5-1.mga2
+ Revision: 218537
- new version of radvd

* Sat Oct 15 2011 misc <misc> 1.8.3-1.mga2
+ Revision: 155329
- new version 1.8.3

* Sat Oct 08 2011 misc <misc> 1.8.2-1.mga2
+ Revision: 153072
- upgrade to 1.8.2 ( security fix )

* Thu Jun 23 2011 ahmad <ahmad> 1.8-2.mga2
+ Revision: 112822
- Create a system user for radvd and own %%{_localstatedir}/run/%%{name}
- Change configure options so that the .pid file is in %%{_localstatedir}/run/%%{name}

* Thu Jun 23 2011 cjw <cjw> 1.8-1.mga2
+ Revision: 112814
- 1.8

* Tue Mar 08 2011 mikala <mikala> 1.7-1.mga1
+ Revision: 66622
- Update tarball to 1.7
- Remove BuildRoot tag
- imported package radvd

